Gets agent thread message status.

GEThttps://api.awork.com/api/v1/agents/threads/{threadId}/messages/{messageId}/status
GET https://api.awork.com/api/v1/agents/threads/{threadId}/messages/{messageId}/status

Returns the processing status of a submitted agent thread message, including messages still in the queue. Use the accepted message id returned by the server when creating a thread or submitting a message. The response indicates whether an agent response exists and includes its id and error details when available. Retrieve reply content with GET /agents/threads/{threadId}/messages.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

threadIdstringRequired
format: uuid

The id of the thread that contains the message.

messageIdstringRequired
format: uuid

The accepted message id returned by the server.

Responses

200 OK

application/json

messageIdstringOptional
format: uuid

The server-generated identifier of the accepted user message.

statusstring or nullOptional

The processing status.

hasAgentResponsebooleanOptional

Whether an agent response was persisted.

responseIdstring or nullOptional

The persisted agent response id.

lastSequenceNumberinteger or nullOptional
format: int32

The last streamed sequence number observed for the response.

errorstring or nullOptional

The processing error, if any.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation